Bug 23446 - login chmods terminal to mode 0622 during authentication
login chmods terminal to mode 0622 during authentication
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-05 17:03 EST by Jarno Huuskonen
Modified: 2007-04-18 12:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-17 12:07:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jarno Huuskonen 2001-01-05 17:03:27 EST
util-linux login sets the terminal to mode 0622 while authenticating the
user. At least during the authentication anybody can write to the terminal
and at least mess up the terminal settings. 

Also Solar Designer pointed out that if the login chown/chmod calls fail
the user is left with unsecure terminal.
Comment 1 Erik Troan 2001-04-17 12:07:22 EDT
This is fine in seawolf.

Note You need to log in before you can comment on or make changes to this bug.